package com.supervision.knowsub.controller.system;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.model.SystemRole;
import com.supervision.knowsub.service.RoleManageService;
import com.supervision.knowsub.vo.role.RoleReqVo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@Tag(name = "用户角色管理")
@RestController
@RequestMapping("/roleManage")
@RequiredArgsConstructor
public class RoleManageController {

    private final RoleManageService roleManageService;
    @Operation(summary = "新增角色")
    @PostMapping("/save")
    public String saveRole(@RequestBody RoleReqVo roleReqVo) {

        return roleManageService.saveRole(roleReqVo);
    }

    @Operation(summary = "修改角色")
    @PostMapping("/update")
    public void updateRole(@RequestBody RoleReqVo roleReqVo) {
        roleManageService.updateRole(roleReqVo);
    }

    @Operation(summary = "删除角色")
    @DeleteMapping("/delete")
    public Boolean deleteRole(@Parameter(name = "id") @RequestParam(name="id") String id) {
        return roleManageService.deleteRole(id);
    }
    @Operation(summary = "查看角色列表")
    @GetMapping("/list")
    public IPage<SystemRole> list(@Parameter(name = "roleName",description = "角色名称") @RequestParam(required = false) String roleName,
                                  @Parameter(name = "pageNum",description = "页码") @RequestParam(defaultValue = "1") Integer pageNum,
                                  @Parameter(name = "pageSize",description = "每页大小") @RequestParam(defaultValue = "10") Integer pageSize) {
        return roleManageService.list(roleName, pageNum, pageSize);
    }
}
