package com.supervision.knowsub.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.knowsub.dto.base.UserBaseOperateAuthDTO;
import com.supervision.knowsub.model.SystemBase;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.knowsub.vo.sublibrary.SubLibraryReqVo;
import com.supervision.knowsub.vo.sublibrary.SubLibraryResVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【ks_system_base(应用子库)】的数据库操作Mapper
* @createDate 2024-06-24 11:35:15
* @Entity com.supervision.knowsub.model.SystemBase
*/
public interface SystemBaseMapper extends BaseMapper<SystemBase> {

    /**
     * 分页查询应用子库
     * 过滤条件不能出现子表信息，否则查询条数不准
     * @param subLibraryReqVo
     * @param page
     * @return
     */
    IPage<SubLibraryResVo> listSubLibrary(@Param("subLibrary") SubLibraryReqVo subLibraryReqVo, @Param("page") Page<SystemBase> page);

    List<UserBaseOperateAuthDTO> queryUserBaseOperateAuth(@Param("userId") String userId);
}




