package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;

/**
 * 字典属性值
 * @TableName ks_system_dic_data
 */
@TableName(value ="ks_system_dic_data")
@Data
public class SystemDicData implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 字典id 关联ks_system_dic中的id
     */
    private String dicId;

    /**
     * 字典标签
     */
    private String dicLabel;

    /**
     * 字典值
     */
    private String dicValue;

    /**
     * 排序，数值越小越靠前
     */
    private Integer dicSort;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}