package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 审批流流转规则
 * @TableName ks_system_flow_rule
 */
@TableName(value ="ks_system_flow_rule")
@Data
public class SystemFlowRule implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 流程ID
     */
    private String flowId;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 规则排序 从1开始,越大越后
     */
    private Integer ruleOrder;

    /**
     * 节点操作人角色id
     */
    private String roleId;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}