package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 用户表
 * @TableName ks_system_user
 */
@TableName(value ="ks_system_user")
@Data
public class SystemUser implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 头像ID
     */
    private String headPicId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 账户名
     */
    private String account;

    @Schema(description = "账号状态 0正常 1停用")
    private Integer status;

    /**
     * 用户pw的编码值 用于存储密码签名。系统不存储用户密码信息
     */
    private String userPd;

    /**
     * 人员所属部门ID
     */
    private String deptId;

    /**
     * 备注
     */
    private String remark;

    @Schema(description = "最近登录时间")
    private LocalDateTime recentLoginTime;
    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}